--- /dev/null
+WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+WSGIDaemonProcess horizon user=www-data group=www-data
+Alias /static /var/lib/openstack-dashboard/static
+Alias /horizon/static /var/lib/openstack-dashboard/static
+
+
+<Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi>
+ Require all granted
+</Directory>
+
+<Directory /var/lib/openstack-dashboard/static>
+ Require all granted
+</Directory>
--- /dev/null
+<VirtualHost *:80>
+ ServerAdmin webmaster@localhost
+ DocumentRoot /var/www
+
+ <Directory />
+ AllowOverride None
+ </Directory>
+
+ RewriteEngine On
+ RewriteCond %{HTTPS} off
+ RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI}
+
+ ErrorLog ${APACHE_LOG_DIR}/error.log
+ LogLevel warn
+ CustomLog ${APACHE_LOG_DIR}/access.log combined
+ </VirtualHost>
--- /dev/null
+<VirtualHost *:443>
+ ServerAdmin webmaster@localhost
+ SSLEngine on
+ SSLCertificateFile /etc/ssl/certs/ssl-cert-snakeoil.pem
+ SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key
+ BrowserMatch "MSIE [2-6]" \
+ nokeepalive ssl-unclean-shutdown \
+ downgrade-1.0 force-response-1.0
+ BrowserMatch "MSIE [17-9]" ssl-unclean-shutdown
+
+ WSGIScriptAlias / /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+ WSGIDaemonProcess horizon user=www-data group=www-data
+ #WSGIProcessGroup openstack-dashboard
+ Alias /static /var/lib/openstack-dashboard/static
+ Alias /horizon/static /var/lib/openstack-dashboard/static
+
+ DocumentRoot /var/www
+
+ <Directory />
+ AllowOverride None
+ </Directory>
+
+ <Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi/>
+ Require all granted
+ </Directory>
+
+ <Directory /var/lib/openstack-dashboard/static>
+ Require all granted
+ </Directory>
+
+ ErrorLog ${APACHE_LOG_DIR}/error.log
+ LogLevel warn
+ CustomLog ${APACHE_LOG_DIR}/access.log combined
+</VirtualHost>
--- /dev/null
+<VirtualHost *:80>
+ ServerAdmin webmaster@localhost
+ WSGIScriptAlias / /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
+ WSGIDaemonProcess horizon user=www-data group=www-data
+ #WSGIProcessGroup openstack-dashboard
+ Alias /static /var/lib/openstack-dashboard/static
+ Alias /horizon/static /var/lib/openstack-dashboard/static
+
+ DocumentRoot /var/www
+
+ <Directory />
+ AllowOverride None
+ </Directory>
+
+ <Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi>
+ Require all granted
+ </Directory>
+
+ <Directory /var/lib/openstack-dashboard/static>
+ Require all granted
+ </Directory>
+
+ ErrorLog ${APACHE_LOG_DIR}/error.log
+ LogLevel warn
+ CustomLog ${APACHE_LOG_DIR}/access.log combined
+</VirtualHost>
--- /dev/null
+horizon (2:9.0.1-3~u16.04+mcp0) mcp; urgency=medium
+
+ * Rebuild for xenial-mitaka mcp branch
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Tue, 21 Feb 2017 13:05:43 +0200
+
+horizon (2:9.0.1-3~u14.04+mos0) mos9.0; urgency=medium
+
+ * d/openstack-dashboard.postinst: Set DEBUG value to False in
+ local_settings.py configuration file.
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Mon, 08 Aug 2016 08:22:18 +0300
+
+horizon (2:9.0.1-2~u14.04+mos0) mos9.0; urgency=medium
+
+ * Sync important changes from Debian.
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Tue, 07 Jun 2016 14:26:23 +0300
+
+horizon (2:9.0.1-1~u14.04+mos0) mos9.0; urgency=medium
+
+ * Bump up version to 9.0.1
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Fri, 03 Jun 2016 15:45:55 +0300
+
+horizon (2:9.0.0-4~u14.04+mos0) mos9.0; urgency=medium
+
+ * Add horizon-vendor-theme to depends of openstack-dashboard
+
+ -- Daniil Trishkin <dtrishkin@mirantis.com> Thu, 14 Apr 2016 17:32:41 +0300
+
+horizon (2:9.0.0-3~u14.04+mos0) mos9.0; urgency=medium
+
+ * Source: https://anonscm.debian.org/git/openstack/horizon.git
+ Commit: 57ebe3655c928657735981c155a078dcb59c005b
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Fri, 22 Apr 2016 0:17:22 +0300
+
+horizon (2:9.0.0-3) unstable; urgency=medium
+
+ [ Ondřej Nový ]
+ * d/copyright: Changed source URL to https protocol
+
+ [ Ivan Udovichenko ]
+ * d/openstack-dashboard.{preinst,postinst,postrm},
+ openstack-dashboard-apache.{preinst,postinst,postrm}:
+ - Pass the correct version to dpkg-maintscript-helper script.
+ * d/openstack-dashboard.postinst:
+ - Check if django.utils.log.NullHandler class is being used and
+ replace it with logging.NullHandler class if it is true. (Closes: #822907)
+
+ [ Thomas Goirand ]
+ * Horizon doesn't build with python-django-nose in Jessie, so increasing the
+ build-depends version to >= 1.4.3.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 31 May 2016 13:43:46 +0200
+
+horizon (2:9.0.0-2) unstable; urgency=medium
+
+ [ Ondřej Nový ]
+ * Standards-Version is 3.9.8 now (no change)
+
+ [ Ivan Udovichenko ]
+ * d/openstack-dashboard-apache.postinst: Revert changes. (Closes: #820845)
+ - Do not modify provided Apache configuration files.
+ - Enable site provided by openstack-dashboard-alias-only.conf .
+ * d/openstack-dashboard.triggers: Trigger package configuration
+ only once. (Closes: #821868)
+ * d/control: Fix documentation build by adding git to build-dependencies.
+ * Add myself to Uploaders field.
+ * Uploading to unstable.
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Wed, 13 Apr 2016 23:34:27 +0300
+
+horizon (2:9.0.0-1) unstable; urgency=medium
+
+ * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 07 Apr 2016 21:18:30 +0200
+
+horizon (2:9.0.0~rc2-1) unstable; urgency=medium
+
+ [ Thomas Goirand ]
+ * New upstream release.
+ * Uploading to unstable (Closes: #809575).
+ * Also copy openstack_dashboard/dashboards/project/static/dashboard/project
+ which were not packaged.
+ * Updated nl.po debconf translation (Closes: #805465).
+ * Updated ja.po debconf translation (Closes: #816070).
+ * Added pt_BR.po debconf translation (Closes: #816942).
+ * Removed unused license in debian/copyright.
+
+ [ Ivan Udovichenko ]
+ * d/control: Add python-xstatic-magic-search dependency.
+ Move memcached and openstack-dashboard-apache to Suggests field.
+ * d/openstack-dashboard-apache.postinst:
+ - Delete the .secret_ket_store file if exists.
+ - Make www-data the owner of /var/lib/openstack-dashboard/secret-key and
+ /var/lib/openstack-dashboard/static directories.
+ - Set new alias to Horizon static files.
+ - Call collectstatic with --clear and --noinput options.
+ * d/openstack-dashboard.{preinst,postinst,postrm},
+ openstack-dashboard-apache.{preinst,postinst,postrm}:
+ - Remove /usr/share/openstack-dashboard/static directory and create a
+ link to /var/lib/openstack-dashboard/static directory to make it
+ compatible with Ubuntu OpenStack Puppet manifests.
+ * d/rules: Do not copy/create additional files/links with/to static files.
+ * d/openstack-dashboard.links: Remove all links except a link to
+ /usr/bin/lessc binary.
+ * d/debian/apache-sites-available/*.conf:
+ - Change/add alias path to static files.
+ - Update permissions according to Apache 2.4 improvements.
+ - Change user/group to www-data .
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Wed, 30 Mar 2016 22:23:48 +0300
+
+horizon (2:9.0.0~rc1-2~u14.04+mos1) mos9.0; urgency=medium
+
+ * Add horizon-vendor-theme to recommends of openstack-dashboard
+
+ -- Daniil Trishkin <dtrishkin@mirantis.com> Tue, 05 Apr 2016 18:53:30 +0300
+
+horizon (2:9.0.0~rc1-1~u14.04+mos1) mos9.0; urgency=medium
+
+ * Update to 9.0.0~rc1
+ * Update runtime requirements according to global requirements of Mitaka
+ * Related-Bug: #1556845
+
+ -- Daniil Trishkin <dtrishkin@mirantis.com> Fri, 18 Mar 2016 20:32:48 +0300
+
+horizon (2:9.0.0~rc1-1) experimental; urgency=medium
+
+ [ Ondřej Nový ]
+ * Fixed VCS URLs (https).
+
+ [ Thomas Goirand ]
+ * New upstream release.
+ * Fixed (build-)depends for this release.
+ * Added python-selenium as build-depends, to satisfy the imports.
+ * Fixed debian/copyright.
+ * Added patch: Fix_remaining_Django_1.9_test_failures.patch
+ * Standards-Version: 3.9.7 (no change).
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 04 Mar 2016 16:56:53 +0800
+
+horizon (2:9.0.0~b2-2~u14.04+mos1) mos9.0; urgency=medium
+
+ * d/openstack-dashboard-apache.postinst: Disable all non-default sites in
+ non-interactive mode.
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Tue, 16 Feb 2016 19:47:41 +0200
+
+horizon (2:9.0.0~b2-1~u14.04+mos1) mos9.0; urgency=medium
+
+ * Source: https://anonscm.debian.org/git/openstack/horizon.git
+ Commit: 69419a8f82326d67f0b06c44728dd1e85f346ec5
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Wed, 27 Jan 2016 17:33:53 +0200
+
+horizon (2:9.0.0~b2-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fixed (build-)depends for this release.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 09 Dec 2015 11:37:40 +0100
+
+horizon (2:8.0.0-6~u14.04+mos1) mos8.0; urgency=medium
+
+ * Source: https://anonscm.debian.org/git/openstack/horizon.git
+ Commit: acd27929ae4d6c3c0285b676b21dd9873ff959dc
+ * d/control: Move recommended dependencies to suggested.
+ Update Apache requirements.
+ * d/openstack-*.postinst: Add collectstatic execution.
+ Add additional checks for file existance before deletion.
+ * d/rules: Remove symlinks in order to make collectstatic working.
+ Make required directories and set STATIC_ROOT .
+ * Update Apache configuration files accordingly.
+ * d/changelog: Artificially raise release version (LP#1529220).
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com> Fri, 18 Dec 2015 14:02:36 +0200
+
+horizon (2:8.0.0-3) unstable; urgency=medium
+
+ * Updated pt.po debconf translation (Closes: #802419).
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 13 Nov 2015 10:36:16 +0100
+
+horizon (2:8.0.0-2) unstable; urgency=medium
+
+ * Uploading to unstable.
+ * Disabled apache config properly on removal.
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 16 Oct 2015 07:21:51 +0000
+
+horizon (2:8.0.0-1) experimental; urgency=medium
+
+ * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 15 Oct 2015 16:49:49 +0200
+
+horizon (2:8.0.0~rc2-2) experimental; urgency=medium
+
+ * Do not set /etc/.../local_settings.py as CONFFILES (Closes: #801543).
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 13 Oct 2015 08:46:21 +0000
+
+horizon (2:8.0.0~rc2-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fixed the issue with the file
+ /var/lib/openstack-dashboard/secret-key/.secret_key_store not being
+ writeable. What seems to happen is that compress, which is run as root,
+ writes that file.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 08 Oct 2015 21:52:34 +0000
+
+horizon (2:8.0.0~rc1-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fixed (build-)depends for this release.
+ * Removed Improving_find_static_robustness.patch applied upstream.
+
+ -- Thomas Goirand <zigo@debian.org> Sat, 26 Sep 2015 16:05:12 +0200
+
+horizon (2:8.0.0~b3-5~u14.04+mos2) mos8.0; urgency=medium
+
+ * Source: http://archive.ubuntu.com/ubuntu/pool/main/h/horizon/horizon_8.0.0~rc2-0ubuntu1.dsc
+
+ -- Sergey Kolekonov <skolekonov@mirantis.com> Fri, 09 Oct 2015 16:29:45 +0300
+
+horizon (2:8.0.0~b3-5~u14.04+mos1) mos8.0; urgency=medium
+
+ * Source: http://http.debian.net/debian/pool/main/h/horizon/horizon_8.0.0~b3-5.dsc
+ * Add missing dependency to python-xstatic-qunit
+ * Add dependency to apache2
+
+ -- Sergey Kolekonov <skolekonov@mirantis.com> Fri, 25 Sep 2015 1:22:54 +0300
+
+horizon (2:8.0.0~b3-7) experimental; urgency=medium
+
+ * openstack-dashboard-apache now also Depends: apache2.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 23 Sep 2015 13:25:46 +0200
+
+horizon (2:8.0.0~b3-6) experimental; urgency=medium
+
+ * Added a horizon-doc package.
+ * Fixed debian/rules dpkg-parsechangelog to be compatible with Ubuntu.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 23 Sep 2015 08:50:12 +0200
+
+horizon (2:8.0.0~b3-5) experimental; urgency=medium
+
+ * Increasing EPOCH to match the one of Ubuntu.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 22 Sep 2015 19:28:12 +0000
+
+horizon (1:8.0.0~b3-4) experimental; urgency=medium
+
+ * Now also allowing Horizon to be installed in /horizon, not just on the
+ takeover of webroot. This will be the default.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 22 Sep 2015 13:27:52 +0000
+
+horizon (1:8.0.0~b3-3) experimental; urgency=medium
+
+ * Also adds symlink to the fonts-roboto-fontface and materialdesignicons
+ folders to avoid any 404. Horizon is now fully working with the material
+ theme (though the user got to run compress by hand after changing the
+ theme in local_settings.py).
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 22 Sep 2015 09:33:32 +0000
+
+horizon (1:8.0.0~b3-2) experimental; urgency=medium
+
+ * Added Improving_find_static_robustness.patch.
+ * Removed all instances of pyshared, now using lib/python2.7 instead.
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 21 Sep 2015 13:21:22 +0000
+
+horizon (1:8.0.0~b3-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fix (build-)depends for this release.
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 07 Sep 2015 14:27:34 +0200
+
+horizon (1:8.0.0~b2-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fixed (build-)depends for this release.
+ * Remobed build-conflicts on python-unittest2.
+ * Removed the manual copy of the angular folder in debian/rules.
+ * Declares incompatibility with Django 1.8.
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 03 Aug 2015 16:16:25 +0200
+
+horizon (2015.1.0+2015.06.09.git15.e63af6c598-1) unstable; urgency=medium
+
+ * New upstream release (packaging 15th commit since 2015.1.0: e63af6c598):
+ - CVE-2015-3219: Fixes XSS in Horizon Heat stack creation (Closes: #788306)
+ * Fixed double entry in openstack-dashboard.triggers.
+ * Dropped patch applied upstream:
+ - Persistent_XSS_in_Horizon_metadata_dashboard.patch
+ * Added Build-Conflicts: python-rednose.
+ * Standards-Version is now 3.9.6 (no change).
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 08 Jun 2015 16:26:13 +0200
+
+horizon (2015.1.0-2) unstable; urgency=high
+
+ * Added update for the sv.po debconf translations (Closes: #781680).
+ * Added upstream patch for CVE-2015-3988 (Closes: #786741):
+ Persistent_XSS_in_Horizon_metadata_dashboard.patch
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 12 May 2015 23:23:46 +0200
+
+horizon (2015.1.0-1) unstable; urgency=medium
+
+ * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 30 Apr 2015 21:57:20 +0000
+
+horizon (2015.1~rc2-1) unstable; urgency=medium
+
+ * New upstream release.
+ * Uploading to unstable.
+ * Fixed (build-)depends for this release.
+ * Removed upstream-applied patches.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 25 Dec 2014 17:36:23 +0800
+
+horizon (2014.2.1-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Removed Update_WSGI_app_creation_to_be_compatible_with_Django_1.7.patch
+ applied upstream.
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 14 Dec 2014 11:44:10 +0000
+
+horizon (2014.2-3) experimental; urgency=medium
+
+ * CVE-2014-8124: Horizon denial of service attack through login page. Applied
+ upstream patch (Closes: #772710).
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 10 Dec 2014 19:53:49 +0800
+
+horizon (2014.2-2) experimental; urgency=medium
+
+ * Added a trigger thing when a javascript lib is updated.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 02 Dec 2014 19:03:08 +0800
+
+horizon (2014.2-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Added Update_WSGI_app_creation_to_be_compatible_with_Django_1.7.patch.
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 16 Oct 2014 14:56:33 +0000
+
+horizon (2014.2~rc2-1) experimental; urgency=medium
+
+ * New upstream release.
+ * New debian/compile-messages to build the .mo files which were removed
+ upstream.
+ * Mangling upstream rc and beta versions in watch file.
+ * Fixed bootstrap-datepicker (build-)depends.
+ * Adds Remove_selenium_dependency_when_not_using_selenium_tests.patch.
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 05 Oct 2014 14:32:50 +0800
+
+horizon (2014.2~rc1-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Added missing python-xstatic-bootstrap-datepicker depends.
+ * Updated (build-)depends for this release.
+ * Removed all Django 1.7 fix-up, as they were applied upstream. Only
+ disable-failed-django-1.7-test.patch remains, as nobody was able to work
+ on it and solve it.
+
+ -- Thomas Goirand <zigo@debian.org> Sat, 04 Oct 2014 11:46:51 +0800
+
+horizon (2014.2~b3-1) experimental; urgency=medium
+
+ * New upstream release.
+ * Fixed (build-)depends for this release.
+ * Removed fix-python-m-coverage.patch FINALLY applied upstream !!! :)
+ * Added 0008_Handle_TypeError_from_table_column_summation_code.patch.
+ * Added 0009_Fix-TypeError-SecurityGroup-object-is-not-iterable-t.patch
+ * Added disable-failed-django-1.7-test.patch
+ * Note: there's still 2 unit test errors, one about selenium not being
+ installed, which can be safely ignored (Selenium is non-free, and Horizon
+ can't build-depend on it), and the 2nd one is about Trove flavors, which
+ isn't crytical IMO.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 01 Jul 2014 16:06:08 +0800
+
+horizon (2014.1.1-2) unstable; urgency=medium
+
+ * Updated de.po thanks to Chris Leick <c.leick@vollbio.de> (Closes: #751163).
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 11 Jun 2014 12:24:13 +0800
+
+horizon (2014.1.1-1) unstable; urgency=medium
+
+ * New upstream release.
+ * Removed Use_escapejs_filter_on_JavaScript_strings.patch applied upstream.
+ * Now needs python-six >= 1.6.0.
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 09 Jun 2014 23:16:43 +0800
+
+horizon (2014.1-2) unstable; urgency=medium
+
+ * Added Use_escapejs_filter_on_JavaScript_strings.patch.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 21 May 2014 08:42:42 +0800
+
+horizon (2014.1-1) unstable; urgency=medium
+
+ * New upstream release.
+ * Uploading to unstable.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 09 Apr 2014 17:32:13 +0800
+
+horizon (2014.1~rc1-1) experimental; urgency=low
+
+ * New upstream release.
+ * Reviewed (build-)depends for this release.
+ * Refreshed fix-python-m-coverage.patch
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 02 Apr 2014 18:24:26 +0800
+
+horizon (2014.1~b3-2) experimental; urgency=low
+
+ * Fixed MANIFEST.in which was missing the openstack_dashboard *.py.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 18 Mar 2014 00:44:21 +0800
+
+horizon (2014.1~b3-1) experimental; urgency=low
+
+ [ Gonéri Le Bouder ]
+ * Compress the CSS and JS during the postinst (Closes: #739698)
+ - Turns COMPRESS_OFFLINE to True since we now pre-compress the
+ CSS and the JS
+ - call "manage.py compress" in the post-inst script
+ * avoid openstack-dashboard-apache.postinst failure if the default vhost
+ has been removed.
+ * Add myself in Uploaders
+ * run horizon with the horizon user/group
+ * Bump standard version, no change needed
+ * Call debconf-updatepo to refresh the i18n template
+
+ [ Thomas Goirand ]
+ * New upstream release (Icehouse beta 3).
+ * Removes CVE-2013-6858 patch applied upstream.
+ * Refreshed patch.
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 14 Mar 2014 11:34:49 +0000
+
+horizon (2013.2-2) unstable; urgency=high
+
+ * CVE-2013-6858: persistent XSS vulnerability. Applies upstream patch: Fix
+ bug by escaping strings from Nova before displaying them (Closes: #730752).
+ * Adds debconf translations updates, with warm thanks to:
+ - French, Julien Patriarca <leatherface@debian.org> (Closes: #726711).
+ - Italian, Beatrice Torracca <beatricet@libero.it> (Closes: #726829).
+ * New debconf translations, with warm thanks to:
+ - Portuguese, Américo Monteiro <a_monteiro@gmx.com> (Closes: #729911).
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 04 Dec 2013 20:43:44 +0800
+
+horizon (2013.2-1) unstable; urgency=low
+
+ * New upstream release.
+ * Uploading to unstable.
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 18 Oct 2013 00:15:57 +0800
+
+horizon (2013.2~rc3-1) experimental; urgency=low
+
+ * New upstream pre-release.
+ * Now running the upstream unit tests, and added a debian/source/options file
+ with extend-diff-ignore = "[.]*.secret_key_store"
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 17 Oct 2013 11:27:06 +0800
+
+horizon (2013.2~rc2-1) experimental; urgency=low
+
+ * New upstream pre-release.
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 16 Oct 2013 23:17:44 +0800
+
+horizon (2013.2~rc1-2) experimental; urgency=low
+
+ * Now creates /var/lib/openstack-dashboard/secret-key in the postinst, and
+ sets this path as default in /etc/openstack-dashbaord/local_settings.py,
+ instead of the path in /usr/share (Closes: #726373).
+ * Debconf translations updates:
+ - Czech, thanks to Michal Šimůnek (Closes: #726124).
+ - Danish, thanks to Joe Dalton (Closes: #725988).
+ - Russian, thanks to Yuri Kozlov (Closes: #725878).
+ * Added new debconf translation:
+ - Swedish, thanks to Martin Bagge (Closes: #725101).
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 13 Oct 2013 22:48:35 +0800
+
+horizon (2013.2~rc1-1) experimental; urgency=low
+
+ * New upstream release.
+ * Lots of dependencies adjustments.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 08 Oct 2013 09:22:10 +0000
+
+horizon (2013.1.3-2) unstable; urgency=low
+
+ * Added new French debconf translation (Closes: #722421).
+
+ -- Thomas Goirand <zigo@debian.org> Wed, 25 Sep 2013 17:30:14 +0800
+
+horizon (2013.1.3-1) unstable; urgency=low
+
+ * New upstream point release.
+ * Added a few Debconf translations:
+ - japaneese, thanks to victory (Closes: #719723).
+ - Danish, thanks to Joe Dalton (Closes: #720012).
+ - Italian, thanks to Beatrice Torracca (Closes: #720644).
+ - Czech, thanks to Michal Šimůnek (Closes: #721223).
+ - Russian, thanks to Yuri Kozlov (Closes: #721306).
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 30 Aug 2013 16:52:24 +0800
+
+horizon (2013.1.2-4) unstable; urgency=low
+
+ * Fixes prerm so that it uninstalls the correct .conf files for apache, since
+ old apache vhost has been rename because of apache 2.4. Also remove the old
+ ones as a transition, but using || true to avoid failure (Closes: #669836).
+
+ -- Thomas Goirand <zigo@debian.org> Fri, 19 Jul 2013 01:06:46 +0800
+
+horizon (2013.1.2-3) unstable; urgency=low
+
+ * Now works with Sid apache 2.4 (Closes: #669836).
+ * Debconf and long description rewrite from the debian-l10n-english team: a
+ big thanks to them (Closes: #709000).
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 14 Jul 2013 06:13:46 +0000
+
+horizon (2013.1.2-2) unstable; urgency=low
+
+ * Added a /etc/default/openstack-dashboard-apache to save the values of
+ debconf about setting-up the Apache vhosts.
+
+ -- Thomas Goirand <zigo@debian.org> Sat, 15 Jun 2013 02:45:58 +0800
+
+horizon (2013.1.2-1) unstable; urgency=low
+
+ * New upstream release.
+ * Ran wrap-and-sort.
+ * Also rm -rf /var/lib/horizon on purge (Closes: #668760).
+ * Removed chown -R, does more selective chown instead.
+ * Removes "a2ensite default" in postrm (Closes: #708632).
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 30 May 2013 11:23:28 +0800
+
+horizon (2013.1.1-2) unstable; urgency=low
+
+ * Added missing symlink to /var for the css and js dynamic generation folder.
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 21 May 2013 12:51:27 +0800
+
+horizon (2013.1.1-1) unstable; urgency=low
+
+ * Uploading to unstable.
+ * New upstream release.
+ * Removes the build of static CSS and JS, as they are done dynamically.
+ * Cleans better the package now (rebuild twice should work).
+
+ -- Thomas Goirand <zigo@debian.org> Thu, 16 May 2013 14:14:58 +0000
+
+horizon (2013.1-1) experimental; urgency=low
+
+ * New upstream release.
+ * Kills the COMPRESS_OFFLINE = True patch, no longer needed.
+
+ -- Thomas Goirand <zigo@debian.org> Mon, 28 Jan 2013 22:39:15 +0800
+
+horizon (2012.2.1-1) experimental; urgency=low
+
+ * New upstream release 2012.2.1
+ * Recommends: memcached and use it as default on localhost.
+ * Rewrote Apache vhost, diables apache "default" vhost by default, (probably
+ we should ask for permission to do that using debconf).
+ * Now writing css and js script in /var, plus we aren't doing chown www-data
+ of all the static, but only css + js in /var.
+ * Now asking using debconf if we should disable the default apache vhost,
+ and activate the Dasboard, and if we should use SSL or not.
+ * Added missing dependency on node-less.
+ * The package had only Build-Depends:, now setting lots of them in
+ Build-Depends-Indep: as it should be.
+ * Using pkgos.make in debian/rules.
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 02 Dec 2012 11:59:19 +0000
+
+horizon (2012.2~rc1-1) experimental; urgency=low
+
+ [ Mehdi Abaakouk ]
+ * New upstream version
+ * Remove CVE-2012-3540 fixed by upstream
+ [ Thomas Goirand ]
+ * Now using xz compression level 9 for the debs.
+
+ -- Mehdi Abaakouk <sileht@sileht.net> Mon, 10 Sep 2012 17:56:09 +0200
+
+horizon (2012.1.1-5) unstable; urgency=low
+
+ * Add the /static/horizon alias to the apache host definition. Without
+ it the javascript files cannot be found and most of the dashboard
+ functions are not working.
+
+ -- Loic Dachary (OuoU) <loic@debian.org> Tue, 04 Sep 2012 13:47:54 +0200
+
+horizon (2012.1.1-4) unstable; urgency=high
+
+ * CVE-2012-3540: added patch: Disallow login redirects to anywhere other than
+ the same origin (Closes: #686050).
+
+ -- Thomas Goirand <zigo@debian.org> Tue, 28 Aug 2012 03:05:44 +0000
+
+horizon (2012.1.1-3) unstable; urgency=low
+
+ [ Thomas Goirand ]
+ * Added missing (build-)dependencies (took what was in the Ubuntu package and
+ which seems to be missing in Debian).
+ * Fixed missing license in debian/copyright.
+ * Added a get-vcs-source target in debian/rules.
+ * Fixed debian/copyright header.
+
+ [ Loic Dachary (OuoU) ]
+ * Add compression = xz to debian/gbp.conf
+
+ -- Thomas Goirand <zigo@debian.org> Sun, 08 Jul 2012 18:05:14 +0000
+
+horizon (2012.1.1-2) unstable; urgency=low
+
+ * Add a /static alias to serve the static files. By default django is
+ configured in debug mode and will serve the static files. However,
+ when it is configured in production mode, it will no longer serve them
+ and it is expected that apache will take care of it. (Closes: #679440).
+ * Add Loic Dachary as Uploader
+
+ -- Loic Dachary (OuoU) <loic@debian.org> Fri, 29 Jun 2012 10:23:33 +0200
+
+horizon (2012.1.1-1) unstable; urgency=low
+
+ [ Julien Danjou ]
+ * Remove useless dependency on openstackx
+ * Fix clean target
+
+ [ Mehdi Abaakouk ]
+ * New upsteam release
+ * Remove patches fixed upstream: CVE_2012-2094, CVE_2012-2144.
+ * Add gbp configuration file
+ * Clean horizon user home directory on purge. Closes: #668760
+ * Add Mehdi Abaakouk as Uploader
+
+ -- Julien Danjou <acid@debian.org> Mon, 25 Jun 2012 13:13:35 +0200
+
+horizon (2012.1-4) unstable; urgency=low
+
+ * Fixed CVE_2012-2144. Closes: #671604
+
+ -- Ghe Rivero <ghe.rivero@stackops.com> Sat, 05 May 2012 12:02:08 +0200
+
+horizon (2012.1-3) unstable; urgency=low
+
+ * Fixed CVE_2012-2094
+
+ -- Ghe Rivero <ghe.rivero@stackops.com> Tue, 17 Apr 2012 19:38:18 +0200
+
+horizon (2012.1-2) unstable; urgency=low
+
+ * Make openstack-dashboard depends on the same version of
+ python-django-horizon, otherwise it just fails to work most of the
+ time, since upstream doesn't guarantee it'd work.
+
+ -- Julien Danjou <acid@debian.org> Mon, 16 Apr 2012 16:11:45 +0200
+
+horizon (2012.1-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Ghe Rivero <ghe.rivero@stackops.com> Mon, 09 Apr 2012 09:29:59 +0200
+
+horizon (2012.1~rc2-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Ghe Rivero <ghe.rivero@stackops.com> Wed, 04 Apr 2012 10:46:08 +0200
+
+horizon (2012.1~rc1-1) unstable; urgency=low
+
+ * New upstream release.
+
+ -- Ghe Rivero <ghe.rivero@stackops.com> Tue, 20 Mar 2012 18:29:45 +0100
+
+horizon (2012.1~e4-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Ghe Rivero <ghe@debian.org> Fri, 02 Mar 2012 08:42:48 +0100
+
+horizon (2012.1~e3-3) unstable; urgency=low
+
+ * Added manage.py to openstack-dashboard pkg
+
+ -- Ghe Rivero <ghe@debian.org> Sun, 29 Jan 2012 10:26:12 +0100
+
+horizon (2012.1~e3-2) unstable; urgency=low
+
+ *Fixed typo in libjs-jquery
+
+ -- Ghe Rivero <ghe@debian.org> Thu, 26 Jan 2012 16:40:21 +0100
+
+horizon (2012.1~e3-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Ghe Rivero <ghe@debian.org> Thu, 26 Jan 2012 14:37:30 +0100
+
+horizon (2012.1~e2-2) unstable; urgency=low
+
+ * Rebuild to not depends on python-openstack-compute
+
+ -- Julien Danjou <acid@debian.org> Mon, 19 Dec 2011 09:43:45 +0100
+
+horizon (2012.1~e2-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Julien Danjou <acid@debian.org> Fri, 16 Dec 2011 10:16:19 +0100
+
+horizon (2012.1~e1-1) unstable; urgency=low
+
+ * Initial release (Closes: #649897, #649994)
+
+ -- Julien Danjou <acid@debian.org> Fri, 25 Nov 2011 11:30:34 +0100
--- /dev/null
+#!/bin/sh
+
+set -e
+set -x
+
+CURDIR=`pwd`
+cd horizon
+${CURDIR}/manage.py compilemessages
+cd ..
+cd openstack_dashboard
+${CURDIR}/manage.py compilemessages
+cd ..
+rm -vf horizon/locale/en/LC_MESSAGES/django*.mo
+rm -vf openstack_dashboard/locale/en/LC_MESSAGES/django.mo
--- /dev/null
+Source: horizon
+Section: net
+Priority: extra
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+ Ivan Udovichenko <iudovichenko@mirantis.com>,
+Build-Depends: debhelper (>= 9),
+ dh-python,
+ openstack-pkg-tools,
+ po-debconf,
+ python-all,
+ python-pbr (>= 1.6),
+ python-setuptools (>= 16.0),
+ python-sphinx (>= 1.1.2),
+Build-Depends-Indep: gettext,
+ git,
+ python-babel (>= 1.3),
+ python-ceilometerclient (>= 2.2.1),
+ python-cinderclient (>= 1:1.3.1),
+ python-django-compressor (>= 2.0),
+ python-coverage (>= 3.6),
+ python-django (>= 1.8),
+ python-django-babel (>= 0.4.0),
+ python-django-nose (>= 1.2),
+ python-django-openstack-auth (>= 2.0.0),
+ python-django-pyscss (>= 2.0.2),
+ python-glanceclient (>= 1:2.0.0),
+ python-hacking (>= 0.10.2),
+ python-heatclient (>= 0.6.0),
+ python-httplib2 (>= 0.7.5),
+ python-iso8601 (>= 0.1.9),
+ python-keystoneclient (>= 1:1.6.0),
+ python-mock (>= 1.3),
+ python-mox3 (>= 0.7.0),
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.6.0),
+ python-nose,
+ python-nose-exclude,
+ python-nosehtmloutput (>= 0.0.3),
+ python-nosexcover,
+ python-novaclient (>= 2:2.29.0),
+ python-openstack.nose-plugin (>= 0.7),
+ python-oslo.concurrency (>= 3.5.0),
+ python-oslo.config (>= 1:3.7.0),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.policy (>= 0.5.0),
+ python-oslo.serialization (>= 2.0.0),
+ python-oslo.utils (>= 3.5.0),
+ python-oslosphinx (>= 2.5.0),
+ python-pint (>= 0.5),
+ python-pyscss (>= 1.3.4),
+ python-selenium,
+ python-six (>= 1.9.0),
+ python-swiftclient (>= 2.2.0),
+ python-testtools (>= 1.4.0),
+ python-tz (>= 2013.6),
+ python-xstatic (>= 1.0.0),
+ python-xstatic-angular (>= 1.3.7),
+ python-xstatic-angular-bootstrap (>= 0.11.0.2),
+ python-xstatic-angular-gettext (>= 2.1.0.2),
+ python-xstatic-angular-lrdragndrop (>= 1.0.2.2),
+ python-xstatic-bootstrap-datepicker (>= 1.3.1.0),
+ python-xstatic-bootstrap-scss (>= 3),
+ python-xstatic-bootswatch (>= 3.3.5.3),
+ python-xstatic-d3 (>= 3.1.6.2),
+ python-xstatic-font-awesome (>= 4.3.0),
+ python-xstatic-hogan (>= 2.0.0.2),
+ python-xstatic-jasmine (>= 2.1.2.0),
+ python-xstatic-jquery (>= 1.7.2),
+ python-xstatic-jquery-migrate (>= 1.2.1.1),
+ python-xstatic-jquery-ui (>= 1.10.1),
+ python-xstatic-jquery.quicksearch (>= 2.0.3.1),
+ python-xstatic-jquery.tablesorter (>= 2.14.5.1),
+ python-xstatic-jsencrypt (>= 2.0.0.2),
+ python-xstatic-magic-search (>= 0.2.5.1),
+ python-xstatic-mdi (>= 1.1.70.1),
+ python-xstatic-rickshaw (>= 1.5.0),
+ python-xstatic-roboto-fontface (>= 0.4.3.2),
+ python-xstatic-smart-table (>= 1.4.5.3),
+ python-xstatic-spin (>= 1.2.5.2),
+ python-xstatic-term.js (>= 0.0.4),
+ python-xvfbwrapper (>= 0.1.3),
+ python-yaml,
+Standards-Version: 3.9.8
+Homepage: http://horizon.openstack.org
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/horizon.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/horizon.git
+
+Package: python-django-horizon
+Section: python
+Architecture: all
+Depends: python-babel (>= 1.3),
+ python-ceilometerclient (>= 2.2.1),
+ python-cinderclient (>= 1:1.3.1),
+ python-django-compressor (>= 2.0),
+ python-django (>= 1.8),
+ python-django-babel (>= 0.4.0),
+ python-django-openstack-auth (>= 2.0.0),
+ python-django-pyscss (>= 2.0.2),
+ python-glanceclient (>= 1:2.0.0),
+ python-heatclient (>= 0.6.0),
+ python-httplib2 (>= 0.7.5),
+ python-iso8601 (>= 0.1.9),
+ python-keystoneclient (>= 1:1.6.0),
+ python-memcache (>= 1.56),
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.6.0),
+ python-novaclient (>= 2:2.29.0),
+ python-oslo.concurrency (>= 3.5.0),
+ python-oslo.config (>= 1:3.7.0),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.policy (>= 0.5.0),
+ python-oslo.serialization (>= 2.0.0),
+ python-oslo.utils (>= 3.5.0),
+ python-pbr (>= 1.8),
+ python-pint (>= 0.5),
+ python-pyscss (>= 1.3.4),
+ python-six (>= 1.9.0),
+ python-swiftclient (>= 2.2.0),
+ python-tz (>= 2013.6),
+ python-xstatic (>= 1.0.0),
+ python-xstatic-angular (>= 1.3.7),
+ python-xstatic-angular-bootstrap (>= 0.11.0.2),
+ python-xstatic-angular-gettext (>= 2.1.0.2),
+ python-xstatic-angular-lrdragndrop (>= 1.0.2.2),
+ python-xstatic-bootstrap-datepicker (>= 1.3.1.0),
+ python-xstatic-bootstrap-scss (>= 3),
+ python-xstatic-bootswatch (>= 3.3.5.3),
+ python-xstatic-d3 (>= 3.1.6.2),
+ python-xstatic-font-awesome (>= 4.3.0),
+ python-xstatic-hogan (>= 2.0.0.2),
+ python-xstatic-jasmine (>= 2.1.2.0),
+ python-xstatic-jquery (>= 1.7.2),
+ python-xstatic-jquery-migrate (>= 1.2.1.1),
+ python-xstatic-jquery-ui (>= 1.10.1),
+ python-xstatic-jquery.quicksearch (>= 2.0.3.1),
+ python-xstatic-jquery.tablesorter (>= 2.14.5.1),
+ python-xstatic-jsencrypt (>= 2.0.0.2),
+ python-xstatic-magic-search (>= 0.2.5.1),
+ python-xstatic-mdi (>= 1.1.70.1),
+ python-xstatic-rickshaw (>= 1.5.0),
+ python-xstatic-roboto-fontface (>= 0.4.3.2),
+ python-xstatic-smart-table (>= 1.4.5.3),
+ python-xstatic-spin (>= 1.2.5.2),
+ python-xstatic-term.js (>= 0.0.4),
+ python-yaml,
+ ${misc:Depends},
+ ${python:Depends},
+Suggests: memcached,
+Description: Django module providing web interaction with OpenStack
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+ .
+ Horizon is a Django module that permits interaction with an OpenStack
+ cloud. It can be used to build a dashboard to control an OpenStack cloud.
+
+Package: openstack-dashboard
+Architecture: all
+Depends: adduser,
+ horizon-vendor-theme,
+ libjs-jquery,
+ libjs-jquery-cookie,
+ python-django-horizon (= ${source:Version}),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends},
+Suggests: memcached,
+ openstack-dashboard-apache,
+Description: web application to control an OpenStack cloud
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+
+Package: openstack-dashboard-apache
+Architecture: all
+Depends: apache2 (>= 2.4),
+ debconf,
+ libapache2-mod-wsgi (>= 2.3),
+ openstack-dashboard,
+ ${misc:Depends},
+Description: web application to control an OpenStack cloud - Apache support
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+ .
+ This package includes the configuration files to use within Apache. If you
+ wish to configure Apache yourself, use only openstack-dashboard.
+
+Package: horizon-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: web application to control an OpenStack cloud - doc
+ The OpenStack Dashboard is a web application to control an OpenStack
+ cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
+ using the OpenStack REST API just as you would with the command line
+ clients.
+ .
+ This package contains the documentation.
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: horizon
+Source: https://github.com/openstack/horizon
+
+Files: *
+Copyright: 2011 OpenStack LLC
+ 2011 Nebula, Inc
+ 2011 United States Government as represented by the Administrator
+ of the National Aeronautics and Space Administration
+ 2011 Midokura KK
+License: Apache-2.0
+
+Files: debian/*
+Copyright: (c) 2011, Julien Danjou <acid@debian.org>
+ (c) 2012-2016, Thomas Goirand <zigo@debian.org>
+License: Apache-2.0
+
+License: Apache-2.0
+ Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ use this file except in compliance with the License. You may obtain a copy of
+ the License at
+ .
+ http://www.apache.org/licenses/LICENSE-2.0
+ .
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ License for the specific language governing permissions and limitations under
+ the License.
+ .
+ On Debian systems, the complete text of the Apache version 2.0 license can be
+ found in "/usr/share/common-licenses/Apache-2.0".
--- /dev/null
+README.rst
--- /dev/null
+[DEFAULT]
+upstream-branch = master
+debian-branch = debian/mitaka
+upstream-tag = %(version)s
+
+[buildpackage]
+export-dir = ../build-area/
+compression = xz
--- /dev/null
+Document: horizon-doc
+Title: Horizon Documentation
+Author: OpenStack
+Abstract: Sphinx documentation for Horizon
+Section: Programming/Python
+
+Format: HTML
+Index: /usr/share/doc/horizon-doc/html/index.html
+Files: /usr/share/doc/horizon-doc/html/*
--- /dev/null
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+if [ -r /etc/default/openstack-dashboard-apache ] ; then
+ . /etc/default/openstack-dashboard-apache
+
+ if [ "${HORIZON_ACTIVATE_VHOSTS}" = "true" ] || [ "${HORIZON_ACTIVATE_VHOSTS}" = "yes" ] ; then
+ db_set horizon/activate_vhost true
+ else
+ db_set horizon/activate_vhost false
+ fi
+fi
+
+
+db_input high horizon/activate_vhost || true
+db_go || true
+
+db_get horizon/activate_vhost
+if [ "${RET}" = "true" ] ; then
+ if [ -r /etc/default/openstack-dashboard-apache ] ; then
+ if [ "${HORIZON_USE_SSL}" = "true" ] || [ "${HORIZON_USE_SSL}" = "yes" ] ; then
+ db_set horizon/use_ssl true
+ else
+ db_set horizon/use_ssl false
+ fi
+ fi
+
+ db_input high horizon/use_ssl || true
+ db_go || true
+fi
+
+exit 0
--- /dev/null
+debian/apache-sites-available/openstack-dashboard-alias-only.conf /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard-ssl-redirect.conf /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard-ssl.conf /etc/apache2/sites-available
+debian/apache-sites-available/openstack-dashboard.conf /etc/apache2/sites-available
--- /dev/null
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper dir_to_symlink \
+ /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard-apache -- "$@"
+
+if [ "$1" = "configure" ] ; then
+ . /usr/share/debconf/confmodule
+ if ! [ -f /etc/default/openstack-dashboard-apache ] ; then
+ echo "# This file controls the behavior of the
+# Apache installation / upgrade.
+
+# Controls if the Apache \"default\" site provided by the Debian
+# Apache package should be disabled, and the \"openstack-dashboard\"
+# virtual host enabled. If set to no, then you will have to do the
+# setup manually.
+HORIZON_ACTIVATE_VHOSTS=yes
+
+# If the above HORIZON_ACTIVATE_VHOSTS is set to yes, the
+# below directive is set to yes also, then Horizon will
+# be setup using SSL, and any query to the non-SSL site
+# will be redirected to the SSL site.
+HORIZON_USE_SSL=yes" >/etc/default/openstack-dashboard-apache
+ fi
+ db_get horizon/activate_vhost
+ if [ "${RET}" = "true" ] && [ -x /etc/init.d/apache2 ] ; then
+ sed -i 's#[ \t]*HORIZON_ACTIVATE_VHOSTS=.*#HORIZON_ACTIVATE_VHOSTS=yes#' /etc/default/openstack-dashboard-apache
+ a2dissite 000-default.conf || true
+ a2dissite default-ssl.conf || true
+ sed -i "s|^[ \t]*WEBROOT[ \t]=.*|WEBROOT = '/'|" /etc/openstack-dashboard/local_settings.py
+ db_get horizon/use_ssl
+ if [ "${RET}" = "true" ] ; then
+ sed -i 's#[ \t]*HORIZON_USE_SSL=.*#HORIZON_USE_SSL=yes#' /etc/default/openstack-dashboard-apache
+ a2enmod ssl
+ a2enmod rewrite
+ a2dissite openstack-dashboard.conf
+ a2dissite openstack-dashboard-alias-only.conf
+ a2ensite openstack-dashboard-ssl-redirect.conf
+ a2ensite openstack-dashboard-ssl.conf
+ else
+ sed -i 's#[ \t]*HORIZON_USE_SSL=.*#HORIZON_USE_SSL=no#' /etc/default/openstack-dashboard-apache
+ a2dissite openstack-dashboard-ssl.conf
+ a2dissite openstack-dashboard-ssl-redirect.conf
+ a2dissite openstack-dashboard-alias-only.conf
+ a2ensite openstack-dashboard.conf
+ fi
+ if [ -L /usr/share/openstack-dashboard/static ]; then
+ if ! [ $(readlink -s /usr/share/openstack-dashboard/static) = /var/lib/openstack-dashboard/static ]; then
+ ln -fs /var/lib/openstack-dashboard/static /usr/share/openstack-dashboard/static
+ fi
+ else
+ ln -fs /var/lib/openstack-dashboard/static /usr/share/openstack-dashboard/static
+ fi
+ /usr/share/openstack-dashboard/manage.py collectstatic --clear --noinput
+ /usr/share/openstack-dashboard/manage.py compress --force
+ if [ -f '/var/lib/openstack-dashboard/secret-key/.secret_key_store' ]; then
+ rm -f /var/lib/openstack-dashboard/secret-key/.secret_key_store
+ fi
+ chown -R www-data /var/lib/openstack-dashboard/secret-key /var/lib/openstack-dashboard/static
+ invoke-rc.d --quiet apache2 reload
+ else
+ sed -i 's#[ \t]*HORIZON_ACTIVATE_VHOSTS=.*#HORIZON_ACTIVATE_VHOSTS=no#' /etc/default/openstack-dashboard-apache
+ a2ensite 000-default.conf || true
+ a2ensite default-ssl.conf || true
+ sed -i "s|^[ \t]*WEBROOT[ \t]=.*|WEBROOT = '/horizon'|" /etc/openstack-dashboard/local_settings.py
+ a2dissite openstack-dashboard.conf
+ a2dissite openstack-dashboard-ssl-redirect.conf
+ a2dissite openstack-dashboard-ssl.conf
+ a2ensite openstack-dashboard-alias-only.conf
+ /usr/share/openstack-dashboard/manage.py collectstatic --clear --noinput
+ /usr/share/openstack-dashboard/manage.py compress --force
+ if [ -f /var/lib/openstack-dashboard/secret-key/.secret_key_store ]; then
+ rm -f /var/lib/openstack-dashboard/secret-key/.secret_key_store
+ fi
+ chown -R www-data /var/lib/openstack-dashboard/secret-key /var/lib/openstack-dashboard/static
+ invoke-rc.d --quiet apache2 reload
+ fi
+ db_stop
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper dir_to_symlink \
+ /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard-apache -- "$@"
+
+
+if [ "${1}" = "purge" ] ; then
+ if [ -f /etc/default/openstack-dashboard-apache ] ; then
+ rm -rf /etc/default/openstack-dashboard-apache
+ fi
+fi
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+error() {
+ echo "error: $1" >&2
+ exit 1
+}
+
+dir_to_symlink_preinst() {
+ local PATHNAME="$1"
+ local SYMLINK_TARGET="$2"
+ local LASTVERSION="$3"
+ local PACKAGE="$4"
+
+ # Skip remaining parameters up to --
+ while [ "$1" != "--" -a $# -gt 0 ]; do shift; done
+ shift
+
+ if [ -n "$DPKG_MAINTSCRIPT_NAME" ] || error "environment variable DPKG_MAINTSCRIPT_NAME is required"
+ [ -n "$1" ] || error "maintainer script parameters are missing"
+
+ [ -n "$2" ] && [ ! -h "$PATHNAME" ] && [ -d "$PATHNAME" ] && dpkg --compare-versions "$2" le-nl "$LASTVERSION"; then
+ mv -f "$PATHNAME" "${PATHNAME}.dpkg-backup"
+ mkdir "$PATHNAME"
+ touch "$PATHNAME/.dpkg-staging-dir"
+ fi
+}
+
+if [ "$1" = "install" -o "$1" = "upgrade" ] ; then
+ if [ -e /usr/share/openstack-dashboard/static ] ; then
+ dir_to_symlink_preinst /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard-apache -- "$@"
+ fi
+ dir_to_symlink_preinst /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard-apache -- "$@"
+fi
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+if [ -x /usr/sbin/a2dissite ] ; then
+ for i in openstack-dashboard openstack-dashboard-ssl-redirect openstack-dashboard-ssl openstack-dashboard-alias-only.conf openstack-dashboard.conf openstack-dashboard-ssl.conf openstack-dashboard-ssl-redirect.conf ; do
+ if [ -L /etc/apache2/sites-enabled/${i} ] ; then
+ a2dissite ${i} || true
+ fi
+ if [ -L /etc/apache2/sites-enabled/${i}.conf ] ; then
+ a2dissite ${i}.conf
+ fi
+ done
+fi
+
+#DEBHELPER#
--- /dev/null
+# These templates have been reviewed by the debian-l10n-english
+# team
+#
+# If modifications/additions/rewording are needed, please ask
+# debian-l10n-english@lists.debian.org for advice.
+#
+# Even minor modifications require translation updates and such
+# changes should be coordinated with translators and reviewers.
+
+Template: horizon/activate_vhost
+Type: boolean
+Default: false
+_Description: Activate Dashboard and disable default VirtualHost?
+ The Apache package sets up a default web site and a default page, configured
+ in /etc/apache2/sites-available/default.
+ .
+ If this option is not selected, Horizon will be installed using /horizon
+ instead of the webroot.
+ .
+ Choose this option to replace that default with the OpenStack Dashboard
+ configuration.
+
+Template: horizon/use_ssl
+Type: boolean
+Default: true
+_Description: Should the Dashboard use HTTPS?
+ Select this option if you would like Horizon to be served over HTTPS only,
+ with a redirection to HTTPS if HTTP is in use.
--- /dev/null
+server {
+ location / {
+ include uwsgi_params;
+ uwsgi_pass unix:///var/run/horizon-wsgi.sock;
+ }
+}
\ No newline at end of file
--- /dev/null
+<uwsgi>
+ <socket>/var/run/horizon-uwsgi.sock</socket>
+ <pidfile>/var/run/horizon-uwsgi.pid</pidfile>
+ <mount>/=/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi</mount>
+ <plugin>python27</plugin>
+ <uid>www-data</uid>
+ <gid>www-data</gid>
+</uwsgi>
--- /dev/null
+/usr/share/openstack-dashboard/bin/less/
+
--- /dev/null
+usr/share/openstack-dashboard
--- /dev/null
+/usr/bin/lessc /usr/share/openstack-dashboard/bin/less/lessc
--- /dev/null
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper dir_to_symlink \
+ /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard -- "$@"
+
+if [ "$1" = "configure" ] ; then
+ adduser --system \
+ --home /var/lib/horizon \
+ --quiet \
+ --disabled-password \
+ --group horizon
+
+ mkdir -p /var/lib/openstack-dashboard/secret-key
+ chown www-data:www-data /var/lib/openstack-dashboard/secret-key
+
+ mkdir -p /etc/openstack-dashboard
+ DASHBOARD_LOCAL_SETTINGS='/etc/openstack-dashboard/local_settings.py'
+ if ! [ -f "$DASHBOARD_LOCAL_SETTINGS" ] ; then
+ cp /usr/share/openstack-dashboard/local_settings.py $DASHBOARD_LOCAL_SETTINGS
+ fi
+ if [ -f "$DASHBOARD_LOCAL_SETTINGS" ] ; then
+ sed -i "s|^[ \t]*DEBUG[ \t]=.*|DEBUG = False|" $DASHBOARD_LOCAL_SETTINGS
+ fi
+ if [ -f "$DASHBOARD_LOCAL_SETTINGS" ] && grep -q 'django.utils.log.NullHandler' $DASHBOARD_LOCAL_SETTINGS; then
+ sed -i 's/django.utils.log.NullHandler/logging.NullHandler/g' $DASHBOARD_LOCAL_SETTINGS
+ fi
+ if [ -L /usr/share/openstack-dashboard/static ]; then
+ if ! [ $(readlink -s /usr/share/openstack-dashboard/static) = /var/lib/openstack-dashboard/static ]; then
+ ln -fs /var/lib/openstack-dashboard/static /usr/share/openstack-dashboard/static
+ fi
+ else
+ ln -fs /var/lib/openstack-dashboard/static /usr/share/openstack-dashboard/static
+ fi
+ # Compress the JS and CSS with python-compressor and python-lesscpy
+ /usr/share/openstack-dashboard/manage.py collectstatic --clear --noinput
+ /usr/share/openstack-dashboard/manage.py compress --force
+ if [ -f /var/lib/openstack-dashboard/secret-key/.secret_key_store ]; then
+ rm /var/lib/openstack-dashboard/secret-key/.secret_key_store
+ fi
+ chown -R www-data /var/lib/openstack-dashboard/secret-key /var/lib/openstack-dashboard/static
+fi
+
+if [ "$1" = "triggered" ] ; then
+ /usr/share/openstack-dashboard/manage.py collectstatic --clear --noinput
+ /usr/share/openstack-dashboard/manage.py compress --force
+ if [ -f /var/lib/openstack-dashboard/secret-key/.secret_key_store ]; then
+ rm /var/lib/openstack-dashboard/secret-key/.secret_key_store
+ fi
+ chown -R www-data /var/lib/openstack-dashboard/secret-key /var/lib/openstack-dashboard/static
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+dpkg-maintscript-helper dir_to_symlink \
+ /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard -- "$@"
+
+if [ "${1}" = "purge" ] ; then
+ rm -f /etc/openstack-dashboard/local_settings.py
+ rmdir --ignore-fail-on-non-empty /etc/openstack-dashboard || true
+ rm -rf /var/lib/openstack-dashboard
+ rm -rf /var/lib/horizon
+ rm -rf /usr/share/openstack-dashboard
+fi
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+error() {
+ echo "error: $1" >&2
+ exit 1
+}
+
+dir_to_symlink_preinst() {
+ local PATHNAME="$1"
+ local SYMLINK_TARGET="$2"
+ local LASTVERSION="$3"
+ local PACKAGE="$4"
+
+ # Skip remaining parameters up to --
+ while [ "$1" != "--" -a $# -gt 0 ]; do shift; done
+ shift
+
+ if [ -n "$DPKG_MAINTSCRIPT_NAME" ] || error "environment variable DPKG_MAINTSCRIPT_NAME is required"
+ [ -n "$1" ] || error "maintainer script parameters are missing"
+
+ [ -n "$2" ] && [ ! -h "$PATHNAME" ] && [ -d "$PATHNAME" ] && dpkg --compare-versions "$2" le-nl "$LASTVERSION"; then
+ mv -f "$PATHNAME" "${PATHNAME}.dpkg-backup"
+ mkdir "$PATHNAME"
+ touch "$PATHNAME/.dpkg-staging-dir"
+ fi
+}
+
+if [ "$1" = "install" -o "$1" = "upgrade" ] ; then
+ if [ -e /usr/share/openstack-dashboard/static ] ; then
+ dir_to_symlink_preinst /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard -- "$@"
+ fi
+ dir_to_symlink_preinst /usr/share/openstack-dashboard/static /var/lib/openstack-dashboard/static 2:9.0.0~rc1-2 openstack-dashboard -- "$@"
+fi
+
+#DEBHELPER#
--- /dev/null
+interest-noawait /usr/lib/python2.7/dist-packages/xstatic/pkg/bootstrap_scss/data
+interest-noawait /usr/lib/python2.7/dist-packages/xstatic/pkg/jasmine/data
+interest-noawait /usr/share/javascript/angular.js
+interest-noawait /usr/share/javascript/d3
+interest-noawait /usr/share/javascript/jquery
+interest-noawait /usr/share/javascript/jquery-cookie
+interest-noawait /usr/share/javascript/jquery-metadata
+interest-noawait /usr/share/javascript/jquery.quicksearch
+interest-noawait /usr/share/javascript/jquery-tablesorter
+interest-noawait /usr/share/javascript/jquery-ui
+interest-noawait /usr/share/javascript/jsencrypt
+interest-noawait /usr/share/javascript/qunit
+interest-noawait /usr/share/javascript/rickshaw
+interest-noawait /usr/share/javascript/spin.js
+interest-noawait /usr/share/javascript/underscore
+interest-noawait /usr/share/twitter-bootstrap/files
+interest-noawait /usr/share/javascript/term.js
+interest-noawait /usr/share/javascript/lrDragNDrop
--- /dev/null
+Description: Adds /usr/share/openstack-dashboard in the search path for the django.wsgi
+Author: Mehdi Abaakouk <sileht@sileht.net>
+Forwarded: not-needed
+
+Index: horizon/openstack_dashboard/wsgi/django.wsgi
+===================================================================
+--- horizon.orig/openstack_dashboard/wsgi/django.wsgi
++++ horizon/openstack_dashboard/wsgi/django.wsgi
+@@ -9,6 +9,8 @@ sys.path.insert(0, os.path.join(os.path.
+ os.environ['DJANGO_SETTINGS_MODULE'] = 'openstack_dashboard.settings'
+ sys.stdout = sys.stderr
+
++sys.path.append("/usr/share/openstack-dashboard/")
++
+ DEBUG = False
+
+ application = get_wsgi_application()
--- /dev/null
+Description: Adds /usr/share/openstack-dashboard in the search path for manage.py
+Author: Mehdi Abaakouk <sileht@sileht.net>
+Forwarded: not-needed
+
+Index: horizon/manage.py
+===================================================================
+--- horizon.orig/manage.py 2013-12-09 22:14:14.000000000 +0800
++++ horizon/manage.py 2013-12-10 00:30:58.000000000 +0800
+@@ -17,6 +17,8 @@
+
+ from django.core.management import execute_from_command_line # noqa
+
++sys.path.append("/usr/share/openstack-dashboard")
++
+ if __name__ == "__main__":
+ os.environ.setdefault("DJANGO_SETTINGS_MODULE",
+ "openstack_dashboard.settings")
--- /dev/null
+Description: Fixed horizon MANIFEST.in
+Author: Thomas Goirand <zigo@debian.org>
+Forwarded: not-needed
+Last-Update: 2015-09-26
+
+--- horizon-8.0.0~rc1.orig/MANIFEST.in
++++ horizon-8.0.0~rc1/MANIFEST.in
+@@ -1,6 +1,6 @@
+-recursive-include doc *.py *.rst *.scss *.js *.html *.conf *.jpg *.gif *.png
+-recursive-include horizon *.html *.scss *.js *.csv *.template *.tmpl *.mo *.po
+-recursive-include openstack_dashboard *.html *.js *.scss *.mo *.po *.example *.eot *.svg *.ttf *.woff *.png *.ico *.wsgi *.gif *.csv *.template
++recursive-include doc *
++recursive-include horizon *
++recursive-include openstack_dashboard *
+ recursive-include tools *.py *.sh
+
+ include AUTHORS
--- /dev/null
+fix-dashboard-django-wsgi.patch
+fix-dashboard-manage.patch
+fixed-horizon-MANIFEST.in.patch
--- /dev/null
+[type: gettext/rfc822deb] openstack-dashboard-apache.templates
--- /dev/null
+# Czech PO debconf template translation of horizon.
+# Copyright (C) 2013 Michal Simunek <michal.simunek@gmail.com>
+# This file is distributed under the same license as the horizon package.
+# Michal Simunek <michal.simunek@gmail.com>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2013.1.3-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-12 10:41+0200\n"
+"Last-Translator: Michal Simunek <michal.simunek@gmail.com>\n"
+"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"Language: cs\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Aktivovat Ovládací panel a zakázat výchozího virtuálního hosta?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Balíček Apache má výchozí web a výchozí stránku nastavené v /etc/apache2/"
+"sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Tuto možnost zvolte k nahrazení výchozího nastavení nastavením Ovládacího "
+"panelu pro OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Má Ovládací panel používat HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Tuto možnost zvolte, pokud chcete mít Horizon přístupný pouze přes HTTPS s "
+"přesměrováním na HTTPS v případě, že se použije HTTP."
--- /dev/null
+# Danish translation horizon.
+# Copyright (C) 2013 horizon & nedenstående oversættere.
+# This file is distributed under the same license as the horizon package.
+# Joe Hansen <joedalton2@yahoo.dk>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-10 23:51+0200\n"
+"Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
+"Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
+"Language: da\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Aktiver Dashboard og deaktiver standard-VirtualHost?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Pakken Apache opsætter en standardnetside og en standardside, konfigureret "
+"i !/etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Vælg denne indstilling for at erstatte den standard med Openstack Dashboard-"
+"konfigurationen."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Skal Dashboard'et bruge HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Vælg venligst om du ønsker, at Horizon kun skal betjenes over HTTPS, med en "
+"videresendelse til HTTPS hvis HTTP er i brug."
--- /dev/null
+# German translation of horizon debconf templates
+# This file is distributed under the same license as the horizon package.
+# Copyright: Martin Eberhard Schauer <Martin.E.Schauer@gmx.de>, 2013.
+# Chris Leick <c.leick@vollbio.de>, 2014.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2014.1-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2014-06-05 22:45+0100\n"
+"Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
+"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Lokalize 1.0\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard aktivieren und die Vorgabe für VirtualHost deaktivieren?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Das Paket Apache richtet eine Standard-Website und eine Standardseite ein, "
+"die in /etc/apache2/sites-available/default konfiguriert werden."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Wählen Sie diese Option, um diese Voreinstellung durch die OpenStack-"
+"Dashboard-Konfiguration zu ersetzen."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Soll das Dashboard HTTPS verwenden?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Wählen Sie diese Option, falls Horizon nur über HTTPS bereitgestellt und bei "
+"der Nutzung von HTTP auf HTTPS umgeleitet werden soll."
--- /dev/null
+# horizon po-debconf translation to Spanish.
+# Copyright (C) 2013 Software in the Public Interest
+# This file is distributed under the same license as the horizon package.
+#
+# Changes:
+# - Initial translation
+# Matías Bellone <matiasbellone+debian@gmail.com>, 2013.
+#
+# Traductores, si no conocen el formato PO, merece la pena leer la
+# documentación de gettext, especialmente las secciones dedicadas a este
+# formato, por ejemplo ejecutando:
+# info -n '(gettext)PO Files'
+# info -n '(gettext)Header Entry'
+#
+# Equipo de traducción al español, por favor lean antes de traducir
+# los siguientes documentos:
+#
+# - El proyecto de traducción de Debian al español
+# http://www.debian.org/intl/spanish/
+# especialmente las notas y normas de traducción en
+# http://www.debian.org/intl/spanish/notas
+#
+# - La guía de traducción de po's de debconf:
+# /usr/share/doc/po-debconf/README-trans
+# o http://www.debian.org/intl/l10n/po-debconf/README-trans
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-12-08 21:21-0300\n"
+"Last-Translator: Matías Bellone <matiasbellone+debian@gmail.com>\n"
+"Language-Team: Debian Spanish <debian-l10n-spanish@lists.debian.org>\n"
+"Language: es\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+"¿Desea activar el panel de control de OpenStack («Dashboard») y desactivar "
+"el «VirtualHost» predeterminado?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+#, fuzzy
+#| msgid ""
+#| "In Debian, Apache comes with a default website and a default page, "
+#| "configured in /etc/apache2/sites-available/default. Select if this "
+#| "configuration should be disabled and replaced by the Openstack Dashboard "
+#| "configuration."
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"En Debian, Apache provee un sitio web y una página web predeterminados, "
+"ambos configurados en el archivo «/etc/apache2/sites-available/default». "
+"Seleccione esta opción si desea desactivar esta configuración y reemplazarla "
+"con la configuración del panel de control de OpenStack («Dashboard»)."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+#, fuzzy
+#| msgid "Should the Dashboard be installed on HTTPS?"
+msgid "Should the Dashboard use HTTPS?"
+msgstr "¿Desea instalar el panel de control con HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+#, fuzzy
+#| msgid ""
+#| "Please choose if you would like Horizon to be installed on HTTPS only, "
+#| "with a redirection to HTTPS if HTTP is in use."
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Indique si desea que se instale Horizon sólo con HTTPS o con una redirección "
+"a HTTPS cuando se utilice HTTP."
--- /dev/null
+# Translation of horizon debconf templates to French.
+# Copyright (C) 2013, French l10n team <debian-l10n-french@lists.debian.org>
+# This file is distributed under the same license as the HORIZON package.
+# Julien Patriarca <leatherface@debian.org>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-09 09:09+0100\n"
+"Last-Translator: Julien Patriarca <leatherface@debian.org>\n"
+"Language-Team: FRENCH <debian-l10n-french@lists.debian.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Activer Dashboard et désactiver l'hôte virtuel par défaut ?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Le paquet Apache installe un site et une page par défaut, configurés dans /"
+"etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"Si cette option n'est pas selectionée, Horizon sera installé sur /horizon "
+"plustot que la racine du server web."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Choisissez cette option pour remplacer le réglage par défaut par la "
+"configuration d'OpenStack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Faut-il utiliser HTTPS pour le Dashboard ?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Veuillez choisir cette option si vous souhaitez qu'Horizon soit installé sur HTTPS "
+"uniquement, avec une redirection vers HTTPS si HTTP est utilisé."
--- /dev/null
+# Italian translation of horizon's debconf messages.
+# Copyright (C) 2013, horizon package copyright holder
+# This file is distributed under the same license as the horizon package.
+# Beatrice Torracca <beatricet@libero.it>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-19 18:48+0200\n"
+"Last-Translator: Beatrice Torracca <beatricet@libero.it>\n"
+"Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
+"Language: it\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Virtaal 0.7.1\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Attivare Dashboard e disabilitare il VirtualHost predefinito?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Il pacchetto Apache imposta un sito web e una pagina predefiniti, "
+"configurati in /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Scegliere questa opzione per sostituire il valore predefinito con la "
+"configurazione di Dashboard di OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Dashboard deve usare HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Scegliere questa opzione se si desidera che Horizon venga servito solamente "
+"su HTTPS, con una ridirezione verso HTTPS se viene usato HTTP."
--- /dev/null
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# victory <victory.deb@gmail.com>, 2013.
+# Takuma Yamada <tyamada@takumayamada.com>, 2016.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2016-02-22 13:28+0900\n"
+"Last-Translator: Takuma Yamada <tyamada@takumayamada.com>\n"
+"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"Language: ja\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Gtranslator 2.91.6\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard を有効にしてデフォルトのバーチャルホストを無効にしますか?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Apache パッケージがデフォルトウェブサイトやデフォルトページを用意しています。"
+"これは /etc/apache2/sites-available/default で設定されています。"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"このオプションが選択されていない場合は、Horizon は webroot ではなく /horizon "
+"を使用してインストールされます。"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"そのデフォルトを OpenStack の Dashboard 設定で置き換える場合はこのオプション"
+"を選択してください。"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Dashboard で HTTPS を使いますか?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Horizon を HTTPS だけで使い、HTTP によるアクセスを HTTPS に転送する場合はこの"
+"オプションを選択してください。"
--- /dev/null
+# Dutch translation of horizon debconf templates.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, 2014, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2015-10-30 22:09+0100\n"
+"Last-Translator: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>\n"
+"Language-Team: Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>\n"
+"Language: nl\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Gtranslator 2.91.6\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Dashboard activeren en de standaard VirtualHost uitzetten?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Het pakket Apache zet een standaardwebsite en een standaardpagina op in /etc/"
+"apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"Indien deze optie niet gekozen wordt, zal de installatie van Horizon de map /"
+"horizon gebruiken in plaats van de web-hoofdmap."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Kies deze optie om die standaard te vervangen door de configuratie van "
+"OpenStack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Moet Dashboard gebruik maken van HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Kies deze optie indien u wenst dat Horizon enkel over HTTPS bediend wordt, "
+"met een omlegging naar HTTPS als HTTP gebruikt wordt."
--- /dev/null
+# Translation of horizon's debconf messages to european portuguese
+# Copyright (C) 2013 THE horizon'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+#
+# Américo Monteiro <a_monteiro@gmx.com>, 2013, 2015.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2:8.0.0-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2015-10-19 23:49+0100\n"
+"Last-Translator: Américo Monteiro <a_monteiro@gmx.com>\n"
+"Language-Team: Portuguese <traduz@debianpt.org>\n"
+"Language: pt\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Activar o Dashboard e desactivar o VirtualHost predefinido?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"O pacote Apache define um sítio web predefinido e uma página predefinida, "
+"configurada em /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"Se esta opção não for seleccionada, o Horizon será instalado usando "
+"/horizon em vez da webroot."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Escolha esta opção para substituir essa predefinição pela configuração "
+"Dashboard do OpenStack."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Deve o Dashboard usar HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Seleccione esta opção se você desejar que o Horizon seja servido apenas por "
+"HTTPS, com um redireccionamento para HTTPS se for usado HTTP."
+
--- /dev/null
+# Debconf translations for horizon.
+# Copyright (C) 2016 THE horizon'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# Adriano Rafael Gomes <adrianorg@arg.eti.br>, 2016.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2016-02-07 21:55-0200\n"
+"Last-Translator: Adriano Rafael Gomes <adrianorg@arg.eti.br>\n"
+"Language-Team: Brazilian Portuguese <debian-l10n-portuguese@lists.debian."
+"org>\n"
+"Language: pt_BR\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Ativar o Dashboard e desabilitar o VirtualHost padrão?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"O pacote do Apache define um site web padrão e uma página padrão, "
+"configurados em /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+"Se essa opção não for selecionada, o Horizon será instalado usando /horizon "
+"em vez da raiz web (\"webroot\")."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Escolha essa opção para substituir esse padrão pela configuração do "
+"OpenStack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "O Dashboard deverá usar HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Selecione essa opção se você gostaria que o Horizon fosse servido somente "
+"sobre HTTPS, com um redirecionamento para HTTPS se HTTP for usado."
--- /dev/null
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+#
+# Yuri Kozlov <yuray@komyakino.ru>, 2013.
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon 2013.1.3-2\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2013-10-09 19:26+0400\n"
+"Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
+"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"Language: ru\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"X-Generator: Lokalize 1.4\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr "Активировать Dashboard и отключить VirtualHost по умолчанию?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"В пакете Apache уже настроен веб-сайт и страница по умолчанию согласно /etc/"
+"apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr "Выберите, нужно ли заменить её на настройку из Openstack Dashboard."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Использовать HTTPS в Dashboard?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Выберите, нужно ли включить доступ к Horizon только по HTTPS, с "
+"перенаправлением на HTTPS, если использован HTTP."
--- /dev/null
+# Translation of horizon debconf template to Swedish
+# Copyright (C) 2015 Martin Bagge <brother@bsnet.se>
+# This file is distributed under the same license as the horizon package.
+#
+# Martin Bagge <brother@bsnet.se>, 2013, 2015
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: 2015-04-01 16:51+0100\n"
+"Last-Translator: Martin Bagge / brother <brother@bsnet.se>\n"
+"Language-Team: Swedish <debian-l10n-swedish@lists.debian.org>\n"
+"Language: sv\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.6.10\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+"Aktivera Dashboard och avaktivera den standardiserade virtuella värden?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+"Apache-paketet levereras med en standard webbplats och en standard sida, "
+"dessa inställningar finns i /etc/apache2/sites-available/default."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+"Välj denna väg för att ersätta standard-Dashboard i OpenStack med Horizon."
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr "Ska Dashboard använda HTTPS?"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
+"Välj detta om du vill att Horizon endast ska levereras på HTTPS, en "
+"omdirigering av HTTP till HTTPS kommer att aktiveras."
--- /dev/null
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the horizon package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: horizon\n"
+"Report-Msgid-Bugs-To: horizon@packages.debian.org\n"
+"POT-Creation-Date: 2015-09-22 13:31+0000\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid "Activate Dashboard and disable default VirtualHost?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"The Apache package sets up a default web site and a default page, configured "
+"in /etc/apache2/sites-available/default."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"If this option is not selected, Horizon will be installed using /horizon "
+"instead of the webroot."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:2001
+msgid ""
+"Choose this option to replace that default with the OpenStack Dashboard "
+"configuration."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid "Should the Dashboard use HTTPS?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../openstack-dashboard-apache.templates:3001
+msgid ""
+"Select this option if you would like Horizon to be served over HTTPS only, "
+"with a redirection to HTTPS if HTTP is in use."
+msgstr ""
--- /dev/null
+/usr/share/javascript/jquery-cookie/jquery.cookie.js /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/jquery/jquery.cookie.js
+/usr/share/javascript/jquery/jquery.min.js /usr/lib/python2.7/dist-packages/horizon/static/horizon/lib/jquery/jquery.min.js
--- /dev/null
+#!/usr/bin/make -f
+
+PYTHONS:=$(shell pyversions -vr)
+
+include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+
+%:
+ dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+
+override_dh_auto_install:
+ # Note: upstream advises to use "python setup.py compile_catalog"
+ # maybe we should do that next time.
+ chmod +x debian/compile-messages
+ $(CURDIR)/debian/compile-messages
+
+ set -e && for pyvers in $(PYTHONS); do \
+ python$$pyvers setup.py install \
+ --install-layout=deb \
+ --root $(CURDIR)/debian/python-django-horizon \
+ --no-compile -O0; \
+ done
+
+ install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
+
+ cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
+
+ # Sets memcached by default in local_settings.py
+ cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+ sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+ echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
+ install -d -m 755 $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static
+
+
+ cp $(CURDIR)/manage.py \
+ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
+ ln -fs /etc/openstack-dashboard/local_settings.py \
+ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
+
+override_dh_auto_clean:
+ dh_auto_clean
+ python setup.py clean
+ rm -rf $(CURDIR)/static
+ rm -rf $(CURDIR)/horizon/build
+ rm -rf $(CURDIR)/horizon.egg-info
+ rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
+ rm -rf doc/source/sourcecode
+ rm -rf $(CURDIR)/doc/build
+ rm -f horizon/openstack_dashboard/test/.secret_key_store
+ find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ sphinx-build -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
+ dh_sphinxdoc -O--buildsystem=python_distutils
+endif
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+ # We should add --compilemessages when the .mo are removed.
+ ./run_tests.sh --no-virtual-env --no-pep8 --verbosity=2
+endif
+
--- /dev/null
+3.0 (quilt)
--- /dev/null
+extend-diff-ignore = ".*\.secret_key_store|.*\.mo"
--- /dev/null
+version=3
+opts="uversionmangle=s/\.(b|rc)/~$1/" \
+https://github.com/openstack/horizon/tags .*/(\d[\d\.]+)\.tar\.gz